/**
 * 选择框获取值请求
 * */
import {ContentType, HttpClient} from "/@/api/admin/http-client";
import {AxiosResponse} from "axios";

export class MySelectRequest<SecurityDataType = unknown> extends HttpClient<SecurityDataType>{

  /**
   * 根据编码获取字典
   */
  getCodeDict = (data:any) =>
    this.request<AxiosResponse,any>({
      path:'/api/admin/dict/get-list',
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
    })
}
